[arch-commits] Commit in lincity/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Thu Apr 9 23:00:52 EDT 2009


    Date: Thursday, April 9, 2009 @ 23:00:52
  Author: eric
Revision: 34540

upgpkg: lincity 1.12.1-3
    Fixed license, FHS man pages

Modified:
  lincity/trunk/PKGBUILD

----------+
 PKGBUILD |   12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-10 02:31:16 UTC (rev 34539)
+++ PKGBUILD	2009-04-10 03:00:52 UTC (rev 34540)
@@ -4,18 +4,18 @@
 
 pkgname=lincity
 pkgver=1.12.1
-pkgrel=2
+pkgrel=3
 pkgdesc="LinCity is an SVGALIB (Linux only) and X based city/country simulation game for Linux and other Unix platforms (Solaris, FreeBSD, HP_UX, AIX, SCO and IRIX)."
 arch=('i686' 'x86_64')
 url="http://lincity.sourceforge.net/"
-license=('GPL')
+license=('GPL2')
 depends=('libxext' 'libsm')
 source=(http://downloads.sourceforge.net/sourceforge/lincity/$pkgname-$pkgver.tar.gz)
 md5sums=('cda964325bc041993bbefba297faf42b')
 
 build() {
-cd $startdir/src/$pkgname-$pkgver
-./configure --prefix=/usr
-make || return 1
-make prefix=$startdir/pkg/usr install
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --mandir=/usr/share/man || return 1
+  make || return 1
+  make DESTDIR=$pkgdir install || return 1
 }



More information about the arch-commits mailing list